<div class="ui segment top-level">
    <h2 class="ui header">
        <i class="user icon"></i>
        <div class="content">
          {{ 'login' | translate }}
        </div>
    </h2>
    <div class="ui divider"></div>
    <form [formGroup]="loginForm" (ngSubmit)="onLoginSubmit()" class="ui form">
      <div class="field" [ngClass]="{'error': !loginForm.get('username')?.valid && (loginForm.get('username')?.touched || hasTriedSubmit)}">
        <label>{{ 'username' | translate }}</label>
        <input type="text" name="username" formControlName="username" required>
        <app-input-error [control]="loginForm.get('username')"></app-input-error>
      </div>
      <div class="field" [ngClass]="{'error': !loginForm.get('password')?.valid && (loginForm.get('password')?.touched || hasTriedSubmit )}">
        <label>{{ 'password' | translate }}</label>
        <input type="password" name="password" formControlName="password" required>
        <app-input-error [control]="loginForm.get('password')"></app-input-error>
        <div class="error-text" *ngIf="errorText !== null" [innerText]="errorText"></div>
      </div>
        <button class="ui button" type="submit">{{ 'submit_login' | translate }}</button>
    </form>
</div>